function F = solveshare_outflow(BS_BP,DELTA,BETA,ALPHA,THETAS,THETAP,AS,AP,RSTAR,PHI,GAMMA,TAUL,TAUD,TAU,SIGMA,THETAY,PHIB,BYBAR)

BFL_BP = 0;
rf = RSTAR;
r = (1-TAUD)*rf;
qk = 1;
rk = r - (1-DELTA);

rp = (r - GAMMA)/(1-GAMMA);
rs = (GAMMA/(1-GAMMA)*(1+BS_BP - BFL_BP) + rp*(BS_BP))/(GAMMA/(1-GAMMA)*(1+BS_BP - BFL_BP) + (BS_BP));

%KS_YS = (1-ALPHA)*(EPS-1)/EPS/(rk*(1-THETAS+rs*THETAS));
%KP_YP = (1-ALPHA)*LOSS/(rk*(1-THETAP+rp*THETAP));

PS_PP = AP/AS/(1-THETAP+rp*THETAP)/(1/(1-THETAS+rs*THETAS));

if SIGMA ==1
    YS_Y = PHI;
    YP_Y = 1 - PHI;
else
pp = (1/(PHI^SIGMA*(PS_PP)^(1-SIGMA) + (1-PHI)^SIGMA))^(1/(1-SIGMA));
ps = PS_PP*pp;

YS_Y = PHI^SIGMA*ps^(1-SIGMA);
YP_Y = (1-PHI)^SIGMA*pp^(1-SIGMA);
end



F(1) = GAMMA/(1-GAMMA)*(1+BS_BP - BFL_BP) + BS_BP - THETAS*YS_Y/(1-THETAS+rs*THETAS)/(THETAP*YP_Y/(1-THETAP+rp*THETAP));

%SIGMA = 1; 