function F= solverp_close(rp,DELTA,BETA,ALPHA,THETAS,THETAP,EPS,AS,AP,PHI,GAMMA,MU,TAU,SIGMA,THETAY,LOSS)

r = 1*GAMMA+rp*(1-GAMMA);

qk = 1;
rk = r - (1-DELTA);

BS_BP = fsolve(@(BS_BP) solveshare_close(BS_BP,r,GAMMA,PHI,SIGMA,EPS,AS,AP,LOSS,THETAS,THETAP),1,optimset('TolFun',1e-12));

BG_BP = GAMMA/(1-GAMMA)*(1+BS_BP);

rs = (GAMMA/(1-GAMMA) + rp*(BS_BP/(1+BS_BP)))/(GAMMA/(1-GAMMA) + (BS_BP/(1+BS_BP)));

%KS_YS = (1-ALPHA)*(EPS-1)/EPS/(rk*(1-THETAS+rs*THETAS));
%KP_YP = (1-ALPHA)*LOSS/(rk*(1-THETAP+rp*THETAP));

%PS_PP = AP/AS*LOSS/rp/((EPS-1)/EPS/rs);
PS_PP = AP/AS*LOSS/(1-THETAP+rp*THETAP)/((EPS-1)/EPS/(1-THETAS+rs*THETAS));

if SIGMA ==1
    YS_Y = PHI;
    YP_Y = 1 - PHI;
else
pp = (1/(PHI^SIGMA*(PS_PP)^(1-SIGMA) + (1-PHI)^SIGMA))^(1/(1-SIGMA));
ps = PS_PP*pp;

YS_Y = PHI^SIGMA*ps^(1-SIGMA);
YP_Y = (1-PHI)^SIGMA*pp^(1-SIGMA);
end


KS_Y = (1-ALPHA)*YS_Y*(EPS-1)/EPS/(rk*(1-THETAS+rs*THETAS));
KP_Y = (1-ALPHA)*YP_Y*LOSS/(rk*(1-THETAP+rp*THETAP));

K_Y = KS_Y + KP_Y;
I_K = DELTA;
I_Y = I_K*K_Y;

KO_Y = K_Y - I_Y;

BSG_Y = THETAS*YS_Y*(EPS-1)/EPS/((1-THETAS+rs*THETAS));
BP_Y = THETAP*YP_Y*LOSS/((1-THETAP+rp*THETAP));

WHS_Y = (1-ALPHA)*YS_Y*(EPS-1)/EPS/((1-THETAS+rs*THETAS));
WHP_Y = (1-ALPHA)*YP_Y*LOSS/((1-THETAP+rp*THETAP));

D_Y = (BSG_Y + BP_Y);

WEALTH_Y = r * D_Y + YS_Y/EPS + (qk*(1-DELTA) + rk)*(KO_Y + I_Y) ;

CY_Y = WHS_Y + WHP_Y  - I_Y - KO_Y  - D_Y + TAU*WEALTH_Y;

CO_Y = (1-TAU)*WEALTH_Y;

F = BETA*CY_Y/CO_Y*r - 1;


end

%b*(1 - 1/BETA) + (m+tau*THETA*gamma*qm/(1-tau))*(1 - 1/PISS/MUZ)-bgstar*(1 - 1/BETA *(1-MU))
%b/y*(1-1/BETA)+ (m/y + TAU*THETA*(1-PHI)*v/(1-TAU))*(1-1/PISS/MUZ)-bgstar/y*(1-1/BETA*(1-MU))
%XSS * (1-(1-PHI)*(EPS-1)/EPS) - (1-ALPHA)*(1-PHI)*v + (THETA*(1-PHI)*v/(1-TAU)+b/y)*(1-PSIBAR)/PSIBAR*(1/BETA-1) - bgstar/y *(1 - 1/BETA*(1-MU))
%XSS * (1-(1-PHI)*(EPS-1)/EPS) - (1-ALPHA)*(1-PHI)*v + bpstar/y*(1/BETA-1) - bgstar/y *(1 - 1/BETA*(1-MU))


