function [cy,co,h,k,ko,i,d,bs,bp,bfl,bfd,y,ys,yp,hs,hp,ks,kp,w,rk,qk,r,rl,rf,ps,pp,wealth,bg,fomegas,gomegas,atildes,omegasbar,zs,fomegap,gomegap,atildep]= solvess_inflow2(DELTA,PSIH,ETA,BETA,ALPHA,THETAS,THETAP,AS,AP,RSTAR,PHI,GAMMA,TAUL,TAUD,TAU,SIGMA,THETAY,PHIB,BYBAR,K,OMEGAM)

rf = RSTAR;
bfd = 0;

qk = 1;

% if (1-TAUL)*rp/rf<1
%     return
% end

x = fsolve(@(x) solveshare_inflow2(x(1),x(2),x(3),x(4),DELTA,BETA,ALPHA,THETAS,THETAP,AS,AP,RSTAR,PHI,GAMMA,TAUL,TAUD,TAU,SIGMA,THETAY,PHIB,BYBAR,K,OMEGAM),[1,0.5,1.2,1.1],optimset('TolFun',1e-18));

BS_BP = x(1);
BFL_BP = x(2);
rl = x(3);
r = x(4);

rk = r - (1-DELTA);
BG_BS = 1;

BG_BP = BG_BS*BS_BP;

omegasbar = fsolve(@(omegasbar) 1/(K-1)*OMEGAM^K*omegasbar^(1-K)/(1 - 1/(K-1)*OMEGAM^K*omegasbar^(1-K) + BG_BS*(omegasbar  - (1-1/(K-1)*OMEGAM^K*omegasbar^(1-K)))) - THETAS/rl, 1,optimset('TolFun',1e-18));

fomegas = 1/(K-1)*OMEGAM^K*omegasbar^(1-K);

gomegas = 1 - fomegas + BG_BS*(omegasbar  - (1-fomegas) );


atildes = THETAS/fomegas;

fomegap = fsolve(@(fomegap) fomegap/(1 - fomegap ) - THETAP/rl, 0.5,optimset('TolFun',1e-18));

% omegapbar = fsolve(@(omegapbar) 1/(K-1)*OMEGAM^K*omegapbar^(1-K)/(1 - 1/(K-1)*OMEGAM^K*omegapbar^(1-K) ) - THETAP/rl, 1,optimset('TolFun',1e-18));
% 
% fomegap = 1/(K-1)*OMEGAM^K*omegapbar^(1-K);

gomegap = 1 - fomegap;

atildep = THETAP/fomegap;

zs = omegasbar*atildes;

%zp = omegapbar*atildep;

PS_PP = AP/AS/atildep/(1/atildes);

if SIGMA ==1
    YS_Y = PHI;
    YP_Y = 1 - PHI;
else
pp = (1/(PHI^SIGMA*(PS_PP)^(1-SIGMA) + (1-PHI)^SIGMA))^(1/(1-SIGMA));
ps = PS_PP*pp;

YS_Y = PHI^SIGMA*ps^(1-SIGMA);
YP_Y = (1-PHI)^SIGMA*pp^(1-SIGMA);
end

KS_Y = (1-ALPHA)*YS_Y/(rk*atildes);
KP_Y = (1-ALPHA)*YP_Y/(rk*atildep);

K_Y = KS_Y + KP_Y;
I_K = DELTA;
I_Y = I_K*K_Y;

KO_Y = K_Y - I_Y;

BS_Y = YS_Y/(atildes);
BP_Y = YP_Y/(atildep);

WHS_Y = (1-ALPHA)*YS_Y/(atildes);
WHP_Y = (1-ALPHA)*YP_Y/(atildep);

BFL_Y =  BFL_BP*BP_Y;
D_Y = BS_Y + BP_Y - BFL_Y;

BFD_Y = 0;

WEALTH_Y = r * D_Y + (1-TAUD)*rf*BFD_Y  + (qk*(1-DELTA) + rk)*(KO_Y + I_Y) + (1-THETAY)*(TAUL*rl*BFL_Y + TAUD*rf*BFD_Y);

CY_Y = WHS_Y + WHP_Y + THETAY*(TAUL*rl*BFL_Y + TAUD*rf*BFD_Y) - I_Y - KO_Y  - D_Y - BFD_Y + TAU*WEALTH_Y;

CO_Y = (1-TAU)*WEALTH_Y;

%F = BETA*CY_Y/CO_Y*r - 1;


%(WHS_Y+WHP_Y)/CY_Y/(1/3)^(ETA+1)
h = ((WHS_Y+WHP_Y)/CY_Y/PSIH)^(1/(ETA+1));

HS_HP = ALPHA*YS_Y/atildes/(ALPHA*YP_Y/atildep);

hp = 1/(HS_HP + 1)*h;

hs = HS_HP*hp;

KS_KP = HS_HP;

YS_YP = AS/AP*KS_KP;

if SIGMA ==1
pp = (1-PHI)*(YS_YP)^(PHI);
ps = PHI*(1/YS_YP)^(1-PHI);
end


ys = (AS*(KS_Y/(YS_Y/ps))^(1-ALPHA)*(hs)^ALPHA)^(1/ALPHA);

yp = (AP*(KP_Y/(YP_Y/pp))^(1-ALPHA)*(hp)^ALPHA)^(1/ALPHA);

if SIGMA ==1
y = ys^PHI*yp^(1-PHI);
else    
y = (PHI*ys^((SIGMA - 1)/SIGMA) + (1-PHI)*yp^((SIGMA - 1)/SIGMA))^(SIGMA/(SIGMA - 1));
end

cy = CY_Y*y;
co = CO_Y*y;

k = K_Y*y;
i = I_Y*y;
bp = BP_Y*y;
bs = BS_BP*bp;
bg = BG_BP*bp;

bfd = BFD_Y*y;
bfl = BFL_Y*y;
d = D_Y*y;
ks = KS_Y*y;
kp = KP_Y*y;

w = (WHS_Y+WHP_Y)*y/h;

ko = k - i;
wealth = WEALTH_Y  *y;

end

%b*(1 - 1/BETA) + (m+tau*THETA*gamma*qm/(1-tau))*(1 - 1/PISS/MUZ)-bgstar*(1 - 1/BETA *(1-MU))
%b/y*(1-1/BETA)+ (m/y + TAU*THETA*(1-PHI)*v/(1-TAU))*(1-1/PISS/MUZ)-bgstar/y*(1-1/BETA*(1-MU))
%XSS * (1-(1-PHI)*(EPS-1)/EPS) - (1-ALPHA)*(1-PHI)*v + (THETA*(1-PHI)*v/(1-TAU)+b/y)*(1-PSIBAR)/PSIBAR*(1/BETA-1) - bgstar/y *(1 - 1/BETA*(1-MU))
%XSS * (1-(1-PHI)*(EPS-1)/EPS) - (1-ALPHA)*(1-PHI)*v + bpstar/y*(1/BETA-1) - bgstar/y *(1 - 1/BETA*(1-MU))


