function F= solver(BFL_Y0,BFD_Y0,DELTA,BETA,ALPHA,THETAS,THETAP,AS,AP,RSTAR,PHI,GAMMA,TAUL,TAUD,TAU,SIGMA,THETAY,PHIB,BYBAR)

rf = RSTAR;
r = (1-TAUD)*rf;
qk = 1;
rk = r - (1-DELTA);

rp = (r - 1*GAMMA)/(1-GAMMA);

% if (1-TAUL)*rp/rf<1
%     return
% end

x = fsolve(@(x) solveshare(x(1),x(2),DELTA,BETA,ALPHA,THETAS,THETAP,AS,AP,RSTAR,PHI,GAMMA,TAUL,TAUD,TAU,SIGMA,THETAY,PHIB,BYBAR),[1,0.5],optimset('TolFun',1e-12));
BS_BP = x(1);
BFL_BP = x(2);

%BFL_Y = log((1-TAUL)*rp/rf)/PHIB
%BFL_BP = BFL_Y/BP_Y = log((1-TAUL)*rp/rf)/PHIB/(THETAP*(1 - PHI)*LOSS/((1-THETAP+rp*THETAP)))

rs = (GAMMA/(1-GAMMA)*(1+BS_BP - BFL_BP) + rp*(BS_BP))/(GAMMA/(1-GAMMA)*(1+BS_BP - BFL_BP) + (BS_BP));

BG_BP = GAMMA/(1-GAMMA)*(1+BS_BP - BFL_BP);

%KS_YS = (1-ALPHA)*(EPS-1)/EPS/(rk*(1-THETAS+rs*THETAS));
%KP_YP = (1-ALPHA)*LOSS/(rk*(1-THETAP+rp*THETAP));

PS_PP = AP/AS/rp/(1/rs);

if SIGMA ==1
    YS_Y = PHI;
    YP_Y = 1 - PHI;
else
pp = (1/(PHI^SIGMA*(PS_PP)^(1-SIGMA) + (1-PHI)^SIGMA))^(1/(1-SIGMA));
ps = PS_PP*pp;

YS_Y = PHI^SIGMA*ps^(1-SIGMA);
YP_Y = (1-PHI)^SIGMA*pp^(1-SIGMA);
end


KS_Y = (1-ALPHA)*YS_Y/(rk*(1-THETAS+rs*THETAS));
KP_Y = (1-ALPHA)*YP_Y/(rk*(1-THETAP+rp*THETAP));

K_Y = KS_Y + KP_Y;
I_K = DELTA;
I_Y = I_K*K_Y;

KO_Y = K_Y - I_Y;

BSG_Y = THETAS*YS_Y/((1-THETAS+rs*THETAS));
BP_Y = THETAP*YP_Y/((1-THETAP+rp*THETAP));

WHS_Y = (1-ALPHA)*YS_Y/((1-THETAS+rs*THETAS));
WHP_Y = (1-ALPHA)*YP_Y/((1-THETAP+rp*THETAP));

BFL_Y = BFL_BP*BP_Y;
D_Y = BSG_Y + BP_Y - BFL_Y;

BFD_Y =  ((1-TAU-TAU*BETA*r)*(r*D_Y+(qk*(1-DELTA) + rk)*(KO_Y + I_Y)+(1-THETAY)*TAUL*rp*BFL_Y) - BETA*r*(WHS_Y + WHP_Y + THETAY*TAUL*rp*BFL_Y - D_Y - I_Y - KO_Y))/(BETA*r*(THETAY*TAUD*rf-1)-(1-TAU-TAU*BETA*r)*((1-TAUD)*rf+(1-THETAY)*TAUD*rf));

WEALTH_Y = r * D_Y + (1-TAUD)*rf*BFD_Y + (qk*(1-DELTA) + rk)*(KO_Y + I_Y) + (1-THETAY)*(TAUL*rp*BFL_Y + TAUD*rf*BFD_Y);

CY_Y = WHS_Y + WHP_Y + THETAY*(TAUL*rp*BFL_Y + TAUD*rf*BFD_Y) - I_Y - KO_Y  - D_Y - BFD_Y + TAU*WEALTH_Y;

CO_Y = (1-TAU)*WEALTH_Y;



%F(1) = BFL_BP/(BS_BP + BG_BP + 1 - BFL_BP) - BFL_L;
%F(2) = BFD_Y/D_Y - BFD_D;

F(1) = BFL_BP*BP_Y - BFL_Y0;
F(2) = BFD_Y - BFD_Y0;


end

