function F = solveshare_close(BS_BP,r,DELTA,BETA,ALPHA,THETAS,THETAP,AS,AP,RSTAR,PHI,GAMMA,TAUL,TAUD,TAU,SIGMA,THETAY,PHIB,BYBAR)

rf = RSTAR;
bfd = 0;
bfl = 0;

BFL_BP = 0;
qk = 1;
rk = r - (1-DELTA);

rp = (r - GAMMA)/(1-GAMMA);
rs = (GAMMA/(1-GAMMA)*(1+BS_BP - BFL_BP) + rp*(BS_BP))/(GAMMA/(1-GAMMA)*(1+BS_BP - BFL_BP) + (BS_BP));

%KS_YS = (1-ALPHA)*(EPS-1)/EPS/(rk*(1-THETAS+rs*THETAS));
%KP_YP = (1-ALPHA)*LOSS/(rk*(1-THETAP+rp*THETAP));

PS_PP = AP/AS/(1-THETAP+rp*THETAP)/(1/(1-THETAS+rs*THETAS));

if SIGMA ==1
    YS_Y = PHI;
    YP_Y = 1 - PHI;
else
pp = (1/(PHI^SIGMA*(PS_PP)^(1-SIGMA) + (1-PHI)^SIGMA))^(1/(1-SIGMA));
ps = PS_PP*pp;

YS_Y = PHI^SIGMA*ps^(1-SIGMA);
YP_Y = (1-PHI)^SIGMA*pp^(1-SIGMA);
end

KS_Y = (1-ALPHA)*YS_Y/(rk*(1-THETAS+rs*THETAS));
KP_Y = (1-ALPHA)*YP_Y/(rk*(1-THETAP+rp*THETAP));

K_Y = KS_Y + KP_Y;
I_K = DELTA;
I_Y = I_K*K_Y;

KO_Y = K_Y - I_Y;

BSG_Y = THETAS*YS_Y/((1-THETAS+rs*THETAS));
BP_Y = THETAP*YP_Y/((1-THETAP+rp*THETAP));

WHS_Y = (1-ALPHA)*YS_Y/((1-THETAS+rs*THETAS));
WHP_Y = (1-ALPHA)*YP_Y/((1-THETAP+rp*THETAP));

BFL_Y =  BFL_BP*BP_Y;
D_Y = BSG_Y + BP_Y - BFL_Y;

BFD_Y = 0;

WEALTH_Y = r * D_Y + (1-TAUD)*rf*BFD_Y + (qk*(1-DELTA) + rk)*(KO_Y + I_Y) + (1-THETAY)*(TAUL*rp*BFL_Y + TAUD*rf*BFD_Y);

CY_Y = WHS_Y + WHP_Y + THETAY*(TAUL*rp*BFL_Y + TAUD*rf*BFD_Y) - I_Y - KO_Y  - D_Y - BFD_Y + TAU*WEALTH_Y;

CO_Y = (1-TAU)*WEALTH_Y;


F(1) = GAMMA/(1-GAMMA)*(1+BS_BP - BFL_BP) + BS_BP - THETAS*YS_Y/(1-THETAS+rs*THETAS)/(THETAP*YP_Y/(1-THETAP+rp*THETAP));
F(2) = BETA*CY_Y/CO_Y*r - 1;

%SIGMA = 1; 